<h1 id="tableLabel">Satellites</h1>

<p>This component demonstrates fetching data from the server.</p>

<style>
    table.table-striped {
        table-layout: fixed;
        width: 100%;
    }
</style>

<app-map *ngIf="satellite" [satellite]="satellite" #map></app-map>

<p *ngIf="!satellite"><em>Loading...</em></p>

<table class='table table-striped' aria-labelledby="tableLabel" *ngIf="satellite">
  <thead>
    <tr>
      <th>Name</th>
      <th>ID</th>
      <th>Latitude</th>
      <th>Longitude</th>
      <th>Altitude</th>
    </tr>
  </thead>
  <tbody>
      <tr>
          <td>{{ satellite.tle.name }}</td>
          <td>{{ satellite.tle.satelliteId }}</td>
          <td>{{ satellite.geodetic.latitude }}</td>
          <td>{{ satellite.geodetic.longitude }}</td>
          <td>{{ satellite.geodetic.altitude }}</td>
      </tr>
  </tbody>
</table>
